## ros-jazzy-python-qt-binding 2.2.1

=== debian/changelog ===
ros-jazzy-python-qt-binding (2.2.1-1bookworm) bookworm; urgency=high

  * Suppress warning from Shiboken2. (backport #137 <https://github.com/ros-visualization/python_qt_binding/issues/137>) (#138 <https://github.com/ros-visualization/python_qt_binding/issues/138>)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 13 May 2024 00:00:00 -0000

ros-jazzy-python-qt-binding (2.2.0-1bookworm) bookworm; urgency=high

  * Switch to C++17 for SIP and Shiboken (#135 <https://github.com/ros-visualization/python_qt_binding/issues/135>)
  * Set hints to find the python version we actually want. (#134 <https://github.com/ros-visualization/python_qt_binding/issues/134>)
  * Contributors: Chris Lalancette, Christophe Bedard

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 28 Mar 2024 00:00:00 -0000

ros-jazzy-python-qt-binding (2.1.1-1bookworm) bookworm; urgency=high

  * Remove unnecessary parentheses around assert. (#133 <https://github.com/ros-visualization/python_qt_binding/issues/133>)
  * Contributors: Chris Lalancette

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 07 Feb 2024 00:00:00 -0000

ros-jazzy-python-qt-binding (2.1.0-1bookworm) bookworm; urgency=high

  * Switch to FindPython3 in the shiboken_helper.cmake. (#132 <https://github.com/ros-visualization/python_qt_binding/issues/132>)
  * Contributors: Chris Lalancette

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 24 Jan 2024 00:00:00 -0000

ros-jazzy-python-qt-binding (2.0.0-1bookworm) bookworm; urgency=high

  * Cleanup of the sip_configure.py file. (#131 <https://github.com/ros-visualization/python_qt_binding/issues/131>)
  * Update the SIP support so we can deal with a broken RHEL-9. (#129 <https://github.com/ros-visualization/python_qt_binding/issues/129>)
  * Contributors: Chris Lalancette

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-jazzy-python-qt-binding (1.3.0-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-jazzy-python-qt-binding (1.2.3-1bookworm) bookworm; urgency=high

  * Fix to allow ninja to use make for generators (#123 <https://github.com/ros-visualization/python_qt_binding/issues/123>)
  * Fix flake8 linter regression (#125 <https://github.com/ros-visualization/python_qt_binding/issues/125>)
  * Remove pyqt from default binding order for macOS (#118 <https://github.com/ros-visualization/python_qt_binding/issues/118>)
  * Contributors: Christoph Hellmann Santos, Cristóbal Arroyo, Michael Carroll, Rhys Mainwaring

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-jazzy-python-qt-binding (1.2.2-1bookworm) bookworm; urgency=high

  * Demote missing SIP message from WARNING to STATUS (#122 <https://github.com/ros-visualization/python_qt_binding/issues/122>)
  * Contributors: Scott K Logan

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 24 Feb 2023 00:00:00 -0000

ros-jazzy-python-qt-binding (1.2.1-1bookworm) bookworm; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#120 <https://github.com/ros-visualization/python_qt_binding/issues/120>)
  * Contributors: Audrow Nash

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-jazzy-python-qt-binding (1.2.0-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 10 May 2022 00:00:00 -0000

ros-jazzy-python-qt-binding (1.1.1-1bookworm) bookworm; urgency=high

  * Replace PythonInterp to Python3 COMPONENTS (#108 <https://github.com/ros-visualization/python_qt_binding/issues/108>)
  * Use PyQt5 module path to find SIP bindings (#106 <https://github.com/ros-visualization/python_qt_binding/issues/106>)
  * Contributors: Ben Wolsieffer, Homalozoa X

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 06 Dec 2021 00:00:00 -0000

ros-jazzy-python-qt-binding (1.1.0-1bookworm) bookworm; urgency=high

  * Make FindPythonInterp dependency explicit (#107 <https://github.com/ros-visualization/python_qt_binding/issues/107>)
  * Add note about galactic branch (#104 <https://github.com/ros-visualization/python_qt_binding/issues/104>)
  * fuerte-devel is too new for ROS Electric (#101 <https://github.com/ros-visualization/python_qt_binding/issues/101>)
  * Contributors: Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 02 Nov 2021 00:00:00 -0000

ros-jazzy-python-qt-binding (1.0.7-1bookworm) bookworm; urgency=high

  * Add repo README
  * Shorten some long lines of CMake (#99 <https://github.com/ros-visualization/python_qt_binding/issues/99>)
  * Contributors: Scott K Logan, Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-jazzy-python-qt-binding (1.0.6-1bookworm) bookworm; urgency=high

  * Update maintainers (#96 <https://github.com/ros-visualization/python_qt_binding/issues/96>) (#98 <https://github.com/ros-visualization/python_qt_binding/issues/98>)
  * Add pytest.ini so local tests don't display warning (#93 <https://github.com/ros-visualization/python_qt_binding/issues/93>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-jazzy-python-qt-binding (1.0.5-1bookworm) bookworm; urgency=high

  * allow a list of INCLUDE_PATH (#92 <https://github.com/ros-visualization/python_qt_binding/issues/92>)
  * Use magic $(MAKE) variable to suppress build warning (#91 <https://github.com/ros-visualization/python_qt_binding/issues/91>)
  * Fix linking with non framework builds of qt (e.g. from conda-forge) (#84 <https://github.com/ros-visualization/python_qt_binding/issues/84>)
  * Contributors: Anton Matosov, Dirk Thomas, Robert Haschke

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000


